<?php
$tdata__________________ = array();
$tdata__________________[".searchableFields"] = array();
$tdata__________________[".ShortName"] = "__________________";
$tdata__________________[".OwnerID"] = "";
$tdata__________________[".OriginalTable"] = "statistics_region";


$tdata__________________[".pagesByType"] = my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" );
$tdata__________________[".originalPagesByType"] = $tdata__________________[".pagesByType"];
$tdata__________________[".pages"] = types2pages( my_json_decode( "{\"chart\":[\"chart\"],\"search\":[\"search\"]}" ) );
$tdata__________________[".originalPages"] = $tdata__________________[".pages"];
$tdata__________________[".defaultPages"] = my_json_decode( "{\"chart\":\"chart\",\"search\":\"search\"}" );
$tdata__________________[".originalDefaultPages"] = $tdata__________________[".defaultPages"];

//	field labels
$fieldLabels__________________ = array();
$fieldToolTips__________________ = array();
$pageTitles__________________ = array();
$placeHolders__________________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels__________________["English"] = array();
	$fieldToolTips__________________["English"] = array();
	$placeHolders__________________["English"] = array();
	$pageTitles__________________["English"] = array();
	$fieldLabels__________________["English"]["name"] = "المنطقة";
	$fieldToolTips__________________["English"]["name"] = "";
	$placeHolders__________________["English"]["name"] = "";
	$fieldLabels__________________["English"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTips__________________["English"]["CountOfnumPers"] = "";
	$placeHolders__________________["English"]["CountOfnumPers"] = "";
	$fieldLabels__________________["English"]["total"] = "المجموع";
	$fieldToolTips__________________["English"]["total"] = "";
	$placeHolders__________________["English"]["total"] = "";
	$fieldLabels__________________["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips__________________["English"]["percentage"] = "";
	$placeHolders__________________["English"]["percentage"] = "";
	$fieldLabels__________________["English"]["ma3"] = "مع";
	$fieldToolTips__________________["English"]["ma3"] = "";
	$placeHolders__________________["English"]["ma3"] = "";
	$fieldLabels__________________["English"]["dod"] = "ضد";
	$fieldToolTips__________________["English"]["dod"] = "";
	$placeHolders__________________["English"]["dod"] = "";
	$fieldLabels__________________["English"]["tachkil"] = "تشكيل";
	$fieldToolTips__________________["English"]["tachkil"] = "";
	$placeHolders__________________["English"]["tachkil"] = "";
	$fieldLabels__________________["English"]["majhoul"] = "مجهول";
	$fieldToolTips__________________["English"]["majhoul"] = "";
	$placeHolders__________________["English"]["majhoul"] = "";
	if (count($fieldToolTips__________________["English"]))
		$tdata__________________[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels__________________["Arabic"] = array();
	$fieldToolTips__________________["Arabic"] = array();
	$placeHolders__________________["Arabic"] = array();
	$pageTitles__________________["Arabic"] = array();
	$fieldLabels__________________["Arabic"]["name"] = "المنطقة";
	$fieldToolTips__________________["Arabic"]["name"] = "";
	$placeHolders__________________["Arabic"]["name"] = "";
	$fieldLabels__________________["Arabic"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTips__________________["Arabic"]["CountOfnumPers"] = "";
	$placeHolders__________________["Arabic"]["CountOfnumPers"] = "";
	$fieldLabels__________________["Arabic"]["total"] = "المجموع";
	$fieldToolTips__________________["Arabic"]["total"] = "";
	$placeHolders__________________["Arabic"]["total"] = "";
	$fieldLabels__________________["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTips__________________["Arabic"]["percentage"] = "";
	$placeHolders__________________["Arabic"]["percentage"] = "";
	$fieldLabels__________________["Arabic"]["ma3"] = "مع";
	$fieldToolTips__________________["Arabic"]["ma3"] = "";
	$placeHolders__________________["Arabic"]["ma3"] = "";
	$fieldLabels__________________["Arabic"]["dod"] = "ضد";
	$fieldToolTips__________________["Arabic"]["dod"] = "";
	$placeHolders__________________["Arabic"]["dod"] = "";
	$fieldLabels__________________["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTips__________________["Arabic"]["tachkil"] = "";
	$placeHolders__________________["Arabic"]["tachkil"] = "";
	$fieldLabels__________________["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTips__________________["Arabic"]["majhoul"] = "";
	$placeHolders__________________["Arabic"]["majhoul"] = "";
	if (count($fieldToolTips__________________["Arabic"]))
		$tdata__________________[".isUseToolTips"] = true;
}


	$tdata__________________[".NCSearch"] = true;

	$tdata__________________[".ChartRefreshTime"] = 0;


$tdata__________________[".shortTableName"] = "__________________";
$tdata__________________[".nSecOptions"] = 0;

$tdata__________________[".mainTableOwnerID"] = "";
$tdata__________________[".entityType"] = 3;
$tdata__________________[".connId"] = "electiondb_at_ssl_localhost";


$tdata__________________[".strOriginalTableName"] = "statistics_region";

	



$tdata__________________[".showAddInPopup"] = false;

$tdata__________________[".showEditInPopup"] = false;

$tdata__________________[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdata__________________[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdata__________________[".listAjax"] = false;
//	temporary
$tdata__________________[".listAjax"] = false;

	$tdata__________________[".audit"] = false;

	$tdata__________________[".locking"] = false;


$pages = $tdata__________________[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdata__________________[".edit"] = true;
	$tdata__________________[".afterEditAction"] = 1;
	$tdata__________________[".closePopupAfterEdit"] = 1;
	$tdata__________________[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdata__________________[".add"] = true;
$tdata__________________[".afterAddAction"] = 1;
$tdata__________________[".closePopupAfterAdd"] = 1;
$tdata__________________[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdata__________________[".list"] = true;
}



$tdata__________________[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdata__________________[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdata__________________[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdata__________________[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdata__________________[".printFriendly"] = true;
}



$tdata__________________[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdata__________________[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdata__________________[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdata__________________[".isUseAjaxSuggest"] = true;






$tdata__________________[".ajaxCodeSnippetAdded"] = false;

$tdata__________________[".buttonsAdded"] = false;

$tdata__________________[".addPageEvents"] = false;

// use timepicker for search panel
$tdata__________________[".isUseTimeForSearch"] = false;


$tdata__________________[".badgeColor"] = "B22222";


$tdata__________________[".allSearchFields"] = array();
$tdata__________________[".filterFields"] = array();
$tdata__________________[".requiredSearchFields"] = array();




$tdata__________________[".tableType"] = "chart";

$tdata__________________[".printerPageOrientation"] = 0;
$tdata__________________[".nPrinterPageScale"] = 100;

$tdata__________________[".nPrinterSplitRecords"] = 40;

$tdata__________________[".geocodingEnabled"] = false;



// chart settings
$tdata__________________[".chartType"] = "2DColumn";
// end of chart settings








$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdata__________________[".strOrderBy"] = $tstrOrderBy;

$tdata__________________[".orderindexes"] = array();


$tdata__________________[".sqlHead"] = "SELECT name,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$tdata__________________[".sqlFrom"] = "FROM statistics_region";
$tdata__________________[".sqlWhereExpr"] = "";
$tdata__________________[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdata__________________[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdata__________________[".arrGroupsPerPage"] = $arrGPP;

$tdata__________________[".highlightSearchResults"] = true;

$tableKeys__________________ = array();
$tdata__________________[".Keys"] = $tableKeys__________________;


$tdata__________________[".hideMobileList"] = array();




//	name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "name";
	$fdata["GoodName"] = "name";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["name"] = $fdata;
		$tdata__________________[".searchableFields"][] = "name";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["CountOfnumPers"] = $fdata;
		$tdata__________________[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["total"] = $fdata;
		$tdata__________________[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["percentage"] = $fdata;
		$tdata__________________[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["ma3"] = $fdata;
		$tdata__________________[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["dod"] = $fdata;
		$tdata__________________[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["tachkil"] = $fdata;
		$tdata__________________[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_region";
	$fdata["Label"] = GetFieldLabel("__________________","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["chart"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdata__________________["majhoul"] = $fdata;
		$tdata__________________[".searchableFields"][] = "majhoul";

$tdata__________________[".chartLabelField"] = "name";
$tdata__________________[".chartSeries"] = array();
$tdata__________________[".chartSeries"][] = array( 
	"field" => "majhoul",
	"total" => ""
);
$tdata__________________[".chartSeries"][] = array( 
	"field" => "tachkil",
	"total" => ""
);
$tdata__________________[".chartSeries"][] = array( 
	"field" => "dod",
	"total" => ""
);
$tdata__________________[".chartSeries"][] = array( 
	"field" => "ma3",
	"total" => ""
);
$tdata__________________[".chartSeries"][] = array( 
	"field" => "percentage",
	"total" => ""
);
	$tdata__________________[".chartXml"] = '<chart>
		<attr value="tables">
			<attr value="0">عامودي حسب المنطقة</attr>
		</attr>
		<attr value="chart_type">
			<attr value="type">2d_column</attr>
		</attr>

		<attr value="parameters">';
	$tdata__________________[".chartXml"] .= '<attr value="0">
			<attr value="name">majhoul</attr>';
	$tdata__________________[".chartXml"] .= '</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="1">
			<attr value="name">tachkil</attr>';
	$tdata__________________[".chartXml"] .= '</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="2">
			<attr value="name">dod</attr>';
	$tdata__________________[".chartXml"] .= '</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="3">
			<attr value="name">ma3</attr>';
	$tdata__________________[".chartXml"] .= '</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="4">
			<attr value="name">percentage</attr>';
	$tdata__________________[".chartXml"] .= '</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="5">
		<attr value="name">name</attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '</attr>
			<attr value="appearance">';


	$tdata__________________[".chartXml"] .= '<attr value="head">'.xmlencode("عامودي حسب المنطقة").'</attr>
<attr value="foot">'.xmlencode("").'</attr>
<attr value="y_axis_label">'.xmlencode("").'</attr>


<attr value="slegend">true</attr>
<attr value="sgrid">true</attr>
<attr value="sname">true</attr>
<attr value="sval">true</attr>
<attr value="sanim">true</attr>
<attr value="sstacked">false</attr>
<attr value="slog">false</attr>
<attr value="aqua">0</attr>
<attr value="cview">0</attr>
<attr value="is3d">0</attr>
<attr value="isstacked">0</attr>
<attr value="linestyle">0</attr>
<attr value="autoupdate">0</attr>
<attr value="autoupmin">60</attr>';
$tdata__________________[".chartXml"] .= '</attr>

<attr value="fields">';
	$tdata__________________[".chartXml"] .= '<attr value="0">
		<attr value="name">name</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","name")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="1">
		<attr value="name">CountOfnumPers</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","CountOfnumPers")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="2">
		<attr value="name">total</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","total")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="3">
		<attr value="name">percentage</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","percentage")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="4">
		<attr value="name">ma3</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","ma3")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="5">
		<attr value="name">dod</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","dod")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="6">
		<attr value="name">tachkil</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","tachkil")).'</attr>
		<attr value="search"></attr>
	</attr>';
	$tdata__________________[".chartXml"] .= '<attr value="7">
		<attr value="name">majhoul</attr>
		<attr value="label">'.xmlencode(GetFieldLabel("__________________","majhoul")).'</attr>
		<attr value="search"></attr>
	</attr>';
$tdata__________________[".chartXml"] .= '</attr>


<attr value="settings">
<attr value="name">عامودي حسب المنطقة</attr>
<attr value="short_table_name">__________________</attr>
</attr>

</chart>';

$tables_data["عامودي حسب المنطقة"]=&$tdata__________________;
$field_labels["__________________"] = &$fieldLabels__________________;
$fieldToolTips["__________________"] = &$fieldToolTips__________________;
$placeHolders["__________________"] = &$placeHolders__________________;
$page_titles["__________________"] = &$pageTitles__________________;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["عامودي حسب المنطقة"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["عامودي حسب المنطقة"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery___________________()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "name,  	CountOfnumPers,  	total,  	percentage,  	ma3,  	dod,  	tachkil,  	majhoul";
$proto0["m_strFrom"] = "FROM statistics_region";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "name",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto6["m_sql"] = "name";
$proto6["m_srcTableName"] = "عامودي حسب المنطقة";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto8["m_sql"] = "CountOfnumPers";
$proto8["m_srcTableName"] = "عامودي حسب المنطقة";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto10["m_sql"] = "total";
$proto10["m_srcTableName"] = "عامودي حسب المنطقة";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto12["m_sql"] = "percentage";
$proto12["m_srcTableName"] = "عامودي حسب المنطقة";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto14["m_sql"] = "ma3";
$proto14["m_srcTableName"] = "عامودي حسب المنطقة";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto16["m_sql"] = "dod";
$proto16["m_srcTableName"] = "عامودي حسب المنطقة";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto18["m_sql"] = "tachkil";
$proto18["m_srcTableName"] = "عامودي حسب المنطقة";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_region",
	"m_srcTableName" => "عامودي حسب المنطقة"
));

$proto20["m_sql"] = "majhoul";
$proto20["m_srcTableName"] = "عامودي حسب المنطقة";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "statistics_region";
$proto23["m_srcTableName"] = "عامودي حسب المنطقة";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "name";
$proto23["m_columns"][] = "CountOfnumPers";
$proto23["m_columns"][] = "total";
$proto23["m_columns"][] = "percentage";
$proto23["m_columns"][] = "ma3";
$proto23["m_columns"][] = "dod";
$proto23["m_columns"][] = "tachkil";
$proto23["m_columns"][] = "majhoul";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "statistics_region";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "عامودي حسب المنطقة";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="عامودي حسب المنطقة";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData___________________ = createSqlQuery___________________();


	
		;

								

$tdata__________________[".sqlquery"] = $queryData___________________;



$tableEvents["عامودي حسب المنطقة"] = new eventsBase;
$tdata__________________[".hasEvents"] = false;

?>